org.apache.tools.ant.taskdefs.optional.depend

## Class ClassFile

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.depend.ClassFile

    public class ClassFile
    extends java.lang.Object

A ClassFile object stores information about a Java class. The class may be read from a DataInputStream.and written to a DataOutputStream. These are usually streams from a Java class file or a class file component of a Jar file.

### Constructor Summary

Constructors
Constructor and Description
`ClassFile()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Vector<java.lang.String>` `getClassRefs()` Get the classes which this class references.
`java.lang.String` `getFullClassName()` Get the class' fully qualified name in dot format.
`void` `read(java.io.InputStream stream)` Read the class from a data stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassFile

    public ClassFile()

### Method Detail

#### read

    public void read(java.io.InputStream stream)
              throws java.io.IOException,
                     java.lang.ClassFormatError

Read the class from a data stream. This method takes an InputStream as input and parses the class from the stream.

Parameters:
  `stream` - an InputStream from which the class will be read
Throws:
  `java.io.IOException` - if there is a problem reading from the given stream.
  `java.lang.ClassFormatError` - if the class cannot be parsed correctly

#### getClassRefs

    public java.util.Vector<java.lang.String> getClassRefs()

Get the classes which this class references.

Returns:
  a vector of class names which this class references

#### getFullClassName

    public java.lang.String getFullClassName()

Get the class' fully qualified name in dot format.

Returns:
  the class name in dot format (eg. java.lang.Object)